library MapEd;

uses
  Forms,
  Classes,
  Shellapi,
  SysUtils,
  Dialogs,
  MainForm in 'MainForm.pas' {MainFrm},
  OutputForm in 'OutputForm.pas' {OutputFrm},
  CTypes in 'CTypes.pas',
  LoadingForm in 'LoadingForm.pas' {LoadingFrm},
  AboutForm in 'AboutForm.pas' {AboutFrm};

{$R MapEd.res}


procedure AppMain;
begin
 try
  Application.Initialize;
  Application.Title := '';
  Application.Icon.Handle := ExtractIcon(hInstance, '.\maped.dll',0);
  Application.ShowMainForm := false;
  Application.HintHidePause := 30000;
  Application.HintPause := 200;
  Application.CreateForm(TLoadingFrm, LoadingFrm);
  Application.CreateForm(TMainFrm, MainFrm);
  Application.CreateForm(TOutputFrm, OutputFrm);
  Application.CreateForm(TAboutFrm, AboutFrm);
  Application.Run;
 except
  ShowMessage('Program się wysypał i ulegnie zamknięciu :/');
 end;
end;

exports AppMain name 'main';
end.
